Subject: [RTG-DIR] RtgDir review: draft-ietf-mpls-summary-frr-rsvpte.txt

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 4 Nov 2019 15:14:06 -0500

Hello,

I have been selected as the Routing Directorate reviewer for this draft.
The Routing Directorate seeks to review all routing or routing-related
drafts as they pass through IETF last call and IESG review, and sometimes
on special request. The purpose of the review is to provide assistance to
the Routing ADs. For more information about the Routing Directorate, please
see http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it
would be helpful if you could consider them along with any other IETF Last
Call comments that you receive, and strive to resolve them through
discussion or by updating the draft.

Document: draft-ietf-mpls-summary-frr-rsvpte.txt
Reviewer: Andy Malis
Review Date: 4 November 2019
IETF LC End Date: N/A (not yet last-called)
Intended Status: Standards Track

Summary:

This document is basically ready for publication, but has nits that should
be considered prior to publication.

Comments:

This is a well-written draft that is easy to follow. The draft has
benefitted from previous reviews, including during WG Last Call, when an
issue arose regarding the MTU size of the bypass tunnel resulting from FRR.
The draft is an extension to existing RSVP-TE signaling to reduce the
amount of signaling and increase the scalability for FRR. The draft is
careful to be backwards compatible with nodes that do not support it.

Major Issues:

No major issues found.

Minor Issues:

No minor issues found.

Nits:

Section 1, second paragraph: "large scale RSVP-TE LSPs deployment" ->
"large scale RSVP-TE deployment"

Section 2.1: The key words paragraph is out of date. The current wording is:

The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
"SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
"OPTIONAL" in this document are to be interpreted as described in
BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all
capitals, as shown here.

RFC 8174 should also be added as a normative reference.

Section 3.1.2:

"The PLR MUST generate a new Message_Identifier each time the contents
 of the B-SFRR-Ready Extended ASSOCIATION ID changes; for example,
 when PLR node changes the bypass tunnel assignment." ->
"The PLR MUST generate a new Message_Identifier each time the contents
 of the B-SFRR-Ready Extended ASSOCIATION ID changes (e.g,,
 when the PLR node changes the bypass tunnel assignment)."

Section 4: The title of this section may be better as "Backwards
Compatibility" rather than just "Compatibility".

Section 5: "message, a slightly" -> "message, slightly"

Section 6: This section includes the URL for an IANA registry. These may
change over time as IANA reorganizes their registries, and thus just
referencing the appropriate registry and sub-registry by name is sufficient.

This section also contains a reference to the IANA "Resource Reservation
Protocol (RSVP) Parameters" registry, but that registry isn't referenced
elsewhere in the text and should be removed from this section.

Regards,
Andy

---

From: Tarek Saad <[email-masked]>
Date: Tue, 12 Nov 2019 15:31:09 +0000

Hi Andy,

Thanks much for you thorough review and comments. I’ve updated the draft to address those (attached is the diff from latest version). I’ll wait for the I-D submission tool to reopen and upload it. Inline for further response.

From: "Andrew G. Malis" <[email-masked]<mailto:[email-masked]>>
Date: Monday, November 4, 2019 at 3:14 PM
To: "<[email-masked]<mailto:[email-masked]>>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, mpls <[email-masked]<mailto:[email-masked]>>
Subject: RtgDir review: draft-ietf-mpls-summary-frr-rsvpte.txt
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: <[email-masked]<mailto:[email-masked]>>, Tarek Saad <[email-masked]<mailto:[email-masked]>>, Rakesh Gandhi <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Nicolai Leymann <[email-masked]<mailto:[email-masked]>>
Resent-Date: Monday, November 4, 2019 at 3:14 PM

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir<https://urldefense.com/v3/__http:/trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir__;!8WoA6RjC81c!Xd-eP3UaAlzqvmEhzY7YofdmKwqzGOjHTZKNtY_tb41RRprKAQL_INl9G5AWmQ$>

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Summary:

This document is basically ready for publication, but has nits that should be considered prior to publication.

Comments:

This is a well-written draft that is easy to follow. The draft has benefitted from previous reviews, including during WG Last Call, when an issue arose regarding the MTU size of the bypass tunnel resulting from FRR. The draft is an extension to existing RSVP-TE signaling to reduce the amount of signaling and increase the scalability for FRR. The draft is careful to be backwards compatible with nodes that do not support it.

Major Issues:

No major issues found.

Minor Issues:

No minor issues found.

Nits:

Section 1, second paragraph: "large scale RSVP-TE LSPs deployment" -> "large scale RSVP-TE deployment"
[TS]: addressed as proposed.

RFC 8174 should also be added as a normative reference.
[TS]: thanks, this has been updated now.

Section 3.1.2:

[TS]: addressed as proposed.

Section 4: The title of this section may be better as "Backwards Compatibility" rather than just "Compatibility".
[TS]: addressed as proposed.

Section 5: "message, a slightly" -> "message, slightly"
[TS]: addressed as proposed.

Section 6: This section includes the URL for an IANA registry. These may change over time as IANA reorganizes their registries, and thus just referencing the appropriate registry and sub-registry by name is sufficient.
[TS]: removed url and kept the reference by name.

This section also contains a reference to the IANA "Resource Reservation Protocol (RSVP) Parameters" registry, but that registry isn't referenced elsewhere in the text and should be removed from this section.
[TS]: removed as not needed.

Regards,
Tarek

Regards,
Andy

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 13 Nov 2019 07:56:20 -0500

Tarek,

You're very welcome!

One more small thing I noticed, seeing as you haven't uploaded yet .... :-)

The second paragraph in section 3 starts "This document proposes". It's no
longer a proposal, it should be "This document defines".

Cheers,
Andy

On Tue, Nov 12, 2019 at 10:31 AM Tarek Saad <[email-masked]> wrote:

> Hi Andy,
>
>
>
> Thanks much for you thorough review and comments. I’ve updated the draft
> to address those (attached is the diff from latest version). I’ll wait for
> the I-D submission tool to reopen and upload it. Inline for further
> response.
>
>
>
>
>
>
>
>
> *From: *"Andrew G. Malis" <[email-masked]>
> *Date: *Monday, November 4, 2019 at 3:14 PM
> *To: *"<[email-masked]>" <[email-masked]>
> *Cc: *"[email-masked]" <[email-masked]>, "
> [email-masked]" <
> [email-masked]>, mpls <[email-masked]>
> *Subject: *RtgDir review: draft-ietf-mpls-summary-frr-rsvpte.txt
> *Resent-From: *<[email-masked]>
> *Resent-To: *<[email-masked]>, Tarek Saad <[email-masked]>, Rakesh
> Gandhi <[email-masked]>, <[email-masked]>, <
> [email-masked]>, <[email-masked]>, <[email-masked]>, <
> [email-masked]>, <[email-masked]>, <[email-masked]>, <
> [email-masked]>, <[email-masked]>, <[email-masked]>,
> Nicolai Leymann <[email-masked]>
> *Resent-Date: *Monday, November 4, 2019 at 3:14 PM
>
>
>
> Hello,
>
> <https://urldefense.com/v3/__http:/trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir__;!8WoA6RjC81c!Xd-eP3UaAlzqvmEhzY7YofdmKwqzGOjHTZKNtY_tb41RRprKAQL_INl9G5AWmQ$>
>